/**
 * \file	_common.h
 * \brief	Commonly used macros and standard libaries
 *
 * This file should be included everywhere, as it provides
 * a range of commonly used macros and libraries as well as the basic
 * functionality needed by every part of a library working with BlitzMax.
 *
 * \author	Fabian Niemann
 */

#ifndef BLITZ_COMMON_H
#define BLITZ_COMMON_H

//	Standard includes

#include <ctype.h>
#include <errno.h>
#include <math.h>
#include <stdarg.h>
#include <stddef.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#ifdef BB_OS_WIN32
#	include <windows.h>
#endif

#include "blitz_macros.h"
#include "blitz_types.h"

#endif	// BLITZ_COMMON_H
