Rem
bbdoc:	Interface for enumerator objects
about:	Enumerators provide a standardized interface for looping over a number of connected elements.

		<p>A correctly implemented enumerator allows for looping over the elements in a @ForEach loop.</p>
End Rem
Type IEnumerator Abstract

	Rem
	bbdoc:	Checks if there is another element left
	returns: @True if there is another element to be enumerated over, otherwise @False.
	about:	This should not affect to enumerator object (read-only behaviour).
	End Rem
	Method hasNext:Int() Abstract
	
	Rem
	bbdoc:	Gives the next element of the collection
	returns: A valid object as long as #hasNext returns @True.
	about:	Before returning the next object this also has to set the internal pointer/counter
			to the next element in the collection first.
	End Rem
	Method nextObject:Object() Abstract

End Type