'BlitzMax keyword definitions

Rem
bbdoc:	Set strict mode
keyword: "Strict"
about:	See the <a href="../../../../doc/bmxlang/compatibility.html">BlitzMax Language Reference</a> for more information on Strict mode programming.
		Also, try to use #SuperStrict whenever possible.
End Rem

Rem
bbdoc:	Set SuperStrict mode
keyword:"SuperStrict"
about:	Forces clean programming practices (e.g. all variables need to be declared with a type).
End Rem

Rem
bbdoc:	End program execution
keyword: "End"
End Rem

Rem
bbdoc:	Begin a remark block
keyword: "Rem"
End Rem

Rem
bbdoc:	End a remark block
keyword: "EndRem"
End Rem

Rem
bbdoc:	Constant integer of value 1
keyword: "True"
End Rem

Rem
bbdoc:	Constant integer of value 0
keyword: "False"
End Rem

Rem
bbdoc:	Constant Pi value: 3.1415926535897932384626433832795
keyword: "Pi"
End Rem

Rem
bbdoc:	Get Default Null value
keyword: "Null"
End Rem

Rem
bbdoc:	Unsigned 8 bit integer Type
keyword: "Byte"
about:	For the numeric limits see #BYTE_MIN and #BYTE_MAX
End Rem

Rem
bbdoc:	Unsigned 16 bit integer Type
keyword: "Short"
about:	For the numeric limits see #SHORT_MIN and #SHORT_MAX
End Rem

Rem
bbdoc:	Signed 32 bit integer Type
keyword: "Int"
about:	For the numeric limits see #INT_MIN and #INT_MAX
End Rem

Rem
bbdoc:	Signed 64 bit integer Type
keyword: "Long"
about:	For the numeric limits see #LONG_MIN and #LONG_MAX
End Rem

Rem
bbdoc:	32 bit Floating point Type
keyword: "Float"
about:	For the numeric limits see #FLOAT_MIN and #FLOAT_MAX
End Rem

Rem
bbdoc:	64 bit floating point Type
keyword: "Double"
about:	For the numeric limits see #DOUBLE_MIN and #DOUBLE_MAX
End Rem

'Rem
'bbdoc:	String Type
'keyword: "String"
'End Rem

'Rem
'bbdoc:	Object Type
'keyword: "Object"
'End Rem

Rem
bbdoc:	Composite Type specifier for 'by reference' types
keyword: "Var"
End Rem

Rem
bbdoc:	Composite Type specifier for pointer types
keyword: "Ptr"
End Rem

Rem
bbdoc:	Begin a conditional block.
keyword: "If"
End Rem

Rem
bbdoc:	Optional separator between the condition and associated code in an If statement.
keyword: "Then"
End Rem

Rem
bbdoc:	Else provides the ability For an If Then construct to execute a second block of code when the If condition is False.
keyword: "Else"
End Rem

Rem
bbdoc:	ElseIf provides the ability to test and execute a section of code if the initial condition failed.
keyword: "ElseIf"
End Rem

Rem
bbdoc:	Marks the End of an If Then block.
keyword: "EndIf"
End Rem

Rem
bbdoc:	Marks the start of a loop that uses an iterator to execute a section of code repeatedly.
keyword: "For"
End Rem

Rem
bbdoc:	Followed by a constant which is used to calculate when to exit a For..Next loop.
keyword: "To"
End Rem

Rem
bbdoc:	Specifies an optional constant that is used to increment the For iterator.
keyword: "Step"
End Rem

Rem
bbdoc:	End a For block
keyword: "Next"
End Rem

Rem
bbdoc:	Iterate through an array or collection
keyword: "EachIn"
End Rem

Rem
bbdoc:	Execute a block of code While a condition is True
keyword: "While"
End Rem

Rem
bbdoc:	End a While block
keyword: "Wend"
End Rem

Rem
bbdoc: End a While block
keyword: "EndWhile"
End Rem

Rem
bbdoc:	Execute a block of code Until a termination condition is met, or Forever
keyword: "Repeat"
End Rem

Rem
bbdoc:	Conditionally continue a Repeat block
keyword: "Until"
End Rem

Rem
bbdoc:	Continues a #Repeat loop forever
keyword: "Forever"
End Rem

Rem
bbdoc:	Begins a Select block
keyword: "Select"
End Rem

Rem
bbdoc:	Ends a Select block
keyword: "EndSelect"
End Rem

Rem
bbdoc:	Conditional code inside a #Select block
keyword: "Case"
End Rem

Rem
bbdoc:	Contains the default code inside a #Select block
keyword: "Default"
about:	This block of code is called in case no other given #Case matches.
End Rem

Rem
bbdoc:	Exits the enclosing loop
keyword: "Exit"
End Rem

Rem
bbdoc:	Continues execution of the enclosing loop
keyword: "Continue"
End Rem

Rem
bbdoc:	Declares a constant
keyword: "Const"
End Rem

Rem
bbdoc:		Declares a local variable
keyword:	"Local"
about:		Local variables are only available in their respective scope.
			That means code outside of their immediate scope can not "see" (access) them.
		
			<p class="bbdoc-note">If there is a #global variable with the same name,
			the newly declared local variable hides it.</p>
End Rem

Rem
bbdoc:		Declares a global variable
keyword:	"Global"
End Rem

Rem
bbdoc: Declare a Field variable
keyword: "Field"
End Rem

Rem
bbdoc: Begin a Function declaration
keyword: "Function"
End Rem

Rem
bbdoc: End a Function declaration
keyword: "EndFunction"
End Rem

Rem
bbdoc: Return from a Function
keyword: "Return"
End Rem

Rem
bbdoc: Begin a user defined Type declaration
keyword: "Type"
End Rem

Rem
bbdoc: End a user defined Type declaration
keyword: "EndType"
End Rem

Rem
bbdoc: Specify user defined Type supertype
keyword: "Extends"
End Rem

Rem
bbdoc: Begin a Method declaration
keyword: "Method"
End Rem

Rem
bbdoc: End a Method declaration
keyword: "EndMethod"
End Rem

Rem
bbdoc: Denote a Type or Method as Abstract
keyword: "Abstract"
End Rem

Rem
bbdoc: Denote a Type or Method as Final
keyword: "Final"
End Rem

Rem
bbdoc: Create an instance of a user defined Type
keyword: "New"
End Rem

Rem
bbdoc: Reference to this Method's Object instance
keyword: "Self"
End Rem

Rem
bbdoc: Reference to the Super Type Object instance
keyword: "Super"
End Rem

Rem
bbdoc: Reserved for future expansion
keyword: "Delete"
End Rem

Rem
bbdoc: Release an integer Object handle
keyword: "Release"
End Rem

Rem
bbdoc: Public makes a Constant, Global variable or Function accessible from outside the current source file (Default)
keyword: "Public"
End Rem

Rem
bbdoc: Private makes a Constant, Global variable or Function only accessible from within the current source file
keyword: "Private"
End Rem

Rem
bbdoc: Extern marks the beginning of an external list of Function declarations
keyword: "Extern"
End Rem

Rem
bbdoc: EndExtern marks the End of an Extern section
keyword: "EndExtern"
End Rem

Rem
bbdoc: Declare Module scope and identifier
about:
See the <a href=../../../../doc/bmxlang/modules.html>BlitzMax Language Reference</a> for more information on BlitzMax Modules.
keyword: "Module"
End Rem

Rem
bbdoc: Define Module properties
keyword: "ModuleInfo"
End Rem

Rem
bbdoc: Embed a data file
keyword: "Incbin"
End Rem

Rem
bbdoc: Get start address of embedded data file
keyword: "IncbinPtr"
End Rem

Rem
bbdoc: Get length of embedded data file
keyword: "IncbinLen"
End Rem

Rem
bbdoc: Include effectively 'inserts' the specified file into the file being compiled.
keyword: "Include"
End Rem

Rem
bbdoc: Framework builds the BlitzMax application with only the Module specified rather than all modules installed.
keyword: "Framework"
End Rem

Rem
bbdoc: Import declarations from a Module or source file
keyword: "Import"
End Rem

Rem
bbdoc: Throw a RuntimeError if a condition is False
keyword: "Assert"
End Rem

Rem
bbdoc: Transfer program flow to specified label
keyword: "Goto"
End Rem

Rem
bbdoc: Begin declaration of a Try block
keyword: "Try"
End Rem

Rem
bbdoc: End declaration of a Try block
keyword: "EndTry"
End Rem

Rem
bbdoc: Catch an exception Object in a Try block
keyword: "Catch"
End Rem

Rem
bbdoc: Throw an exception Object to the enclosing Try block
keyword: "Throw"
End Rem

Rem
bbdoc: Define class BASIC style data
keyword: "DefData"
End Rem

Rem
bbdoc: Read classic BASIC style data
keyword: "ReadData"
End Rem

Rem
bbdoc: Restore classic BASIC style data
keyword: "RestoreData"
End Rem

Rem
bbdoc: Conditional 'And' binary operator
keyword: "And"
End Rem

Rem
bbdoc: Conditional 'Or' binary operator
keyword: "Or"
End Rem

Rem
bbdoc: Conditional 'Not' binary operator
keyword: "Not"
End Rem

Rem
bbdoc: Bitwise 'Shift left' binary operator
keyword: "Shl"
End Rem

Rem
bbdoc: Bitwise 'Shift right' binary operator
keyword: "Shr"
End Rem

Rem
bbdoc: Bitwise 'Shift arithmetic right' binary operator
keyword: "Sar"
End Rem

Rem
bbdoc: Number of characters in a String or elements in an array
keyword: "Len"
End Rem

Rem
bbdoc: Numeric 'absolute value' unary operator
keyword: "Abs"
End Rem

Rem
bbdoc: Numeric 'modulus' or 'remainder' binary operator
keyword: "Mod"
End Rem

Rem
bbdoc: Numeric 'sign' unary operator
keyword: "Sgn"
End Rem

Rem
bbdoc: Numeric 'minimum' builtin function
returns: The lesser of the two numeric arguments
keyword: "Min"
End Rem

Rem
bbdoc: Numeric 'maximum' builtin function
returns: The larger of the two numeric arguments
keyword: "Max"
End Rem

Rem
bbdoc: Find the address of a variable
keyword: "Varptr"
End Rem

Rem
bbdoc: Size, in bytes, occupied by a variable, string, array or object
keyword: "SizeOf"
End Rem

Rem
bbdoc: Get character value of the first character of a string
keyword: "Asc"
End Rem

Rem
bbdoc: Create a string of length 1 with a character code
keyword: "Chr"
End Rem
